BulkAccessorException (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.bytecode.internal.javassist
Class BulkAccessorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.bytecode.internal.javassist.BulkAccessorException

All Implemented Interfaces:
  Serializable

    public class BulkAccessorException

extends RuntimeException

An exception thrown while generating a bulk accessor.

See Also:
  Serialized Form

Constructor Summary
`BulkAccessorException(String message)` Constructs an exception.
`BulkAccessorException(String message, int index)` Constructs an exception.
`BulkAccessorException(String message, Throwable cause)` Constructs an exception.
`BulkAccessorException(Throwable cause, int index)` Constructs an exception.

Method Summary
`Throwable` | `getCause()` Gets the cause of this throwable.
`int` | `getIndex()` Returns the index of the property that causes this exception.
`Throwable` | `initCause(Throwable cause)` Initializes the cause of this throwable.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BulkAccessorException

    public BulkAccessorException(String message)

  Constructs an exception.

### BulkAccessorException

    public BulkAccessorException(String message,
                                 int index)

  Constructs an exception.

  Parameters:
    `index` - the index of the property that causes an exception.

### BulkAccessorException

    public BulkAccessorException(String message,
                                 Throwable cause)

  Constructs an exception.

### BulkAccessorException

    public BulkAccessorException(Throwable cause,
                                 int index)

  Constructs an exception.

  Parameters:
    `index` - the index of the property that causes an exception.

Method Detail

### getCause

    public Throwable getCause()

  Gets the cause of this throwable. It is for JDK 1.3 compatibility.

  Overrides:
    `getCause` in class `Throwable`

### initCause

    public Throwable initCause(Throwable cause)

  Initializes the cause of this throwable. It is for JDK 1.3 compatibility.

  Overrides:
    `initCause` in class `Throwable`

### getIndex

    public int getIndex()

  Returns the index of the property that causes this exception.

  Returns:
    -1 if the index is not specified.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.